<?php
/**
 * Příklad Ukládání objektů po přesunu na stránce pomocí ajax volání
 *  
 * @author Petr Franěk <franek.petr@seznam.cz>
 * @copyright Copyright (c) 2015, Petr Franěk - www.phpdeveloper.cz
 */
require_once('config.php');     //načteme soubor s připojením k databázi


?>
<!doctype html>

<html lang="cs">
<head>
    <meta charset="utf-8">
    <title></title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/themes/smoothness/jquery-ui.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js"></script>
  
</head>
<body>

<?php
  
$res = mysqli_query($dblink, "SELECT * FROM info_box");

while ($row = mysqli_fetch_array($res))
{
    $id = $row ['id'];
    $x  = $row['x'];
    $y  = $row['y'];
    $text = $row['text'];  
    echo '<div id="box_'.$id.'" style="border: 1px solid black; padding:20px; width:150px; position:absolute; left:'.$x.'px; top:'.$y.'px; cursor:move;">
          '.$text.'
         </div>';
    echo 
        <script>
        $(document).ready(function() {
           $("#box_'.$id.'").draggable({ 
             }).mouseup(function(){ 
                  var souradnice = $(this).position();                     
                  var box_data   = { x:  souradnice.left, y: souradnice.top, id:'.$id.' };
                          
                    request = $.ajax({
                      url: "ajax-update-box-position.php",
                      type: "post",
                      data: box_data
                    });         
                            
                    // success
                    request.done(function (response, textStatus, jqXHR){
                        console.log("Uložení pozice proběhlo v pořádku!");
                    });
                
                    // error
                    request.fail(function (jqXHR, textStatus, errorThrown){
                        console.error("Při zpracování požadavku došlo k chybě: " + textStatus, errorThrown
                        );
                    });                    
                
                });
             
           });
        </script>   
    ';     
}

?>
  
</body>
</html>

                    
                            
 